Home Help Center

puzzle in C++ demo

my ice version is 3.01 and I just want to try some c++ coding. when I ran demo\book\printer>server, I got a following exception:
"
.\Initialize.cpp:188: Ice::VersionMismatchException:
Ice library version mismatch
"

But some other demos like demo\Ice\hello>server work well. The latter one extends Ice::Application but the previous one use the original method. According to the Ice document, both should be ok. Is there any setting ignored by me?

I have set the project include, lib and bin files. And the java demo works well. I think there is no problem with path setting.

Comments

  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Hi,

    This exception means that the version of the Ice dll from your PATH doesn't match the Ice version which was used to compile the demo. You should either look for an old DLL in your PATH or re-compile the demo using the Ice distribution which is in your PATH.

    Cheers,
    Benoit.
Sign In or Register to comment.